Skip to main content

Linux High Availability Fundamentals (Dec 2017)

Enrollment in this course is by invitation only

About This Course

This is the Linux High Availability Fundamentals course.

Objectives

At the end of the course you will:

  • Know and understand the fundamentals of high availability (HA) clusters,
  • Understand the internals of HA on Linux,
  • Understand the purpose and functionality of Corosync, Pacemaker, and DRBD,
  • Be able to administer and maintain Linux HA clusters,
  • Troubleshoot HA clusters, resources, and applications
  • .

In the process, you'll perform many hands-on lab using a virtual cluster environment made available specifically for your own testing. Please feel at liberty to experiment and play around within this environment.

Course Staff

Florian Haas

Florian Haas

Drawing from a decade of experience in open source technology, Florian is among the most renowned open-source high availability experts in the world. He has worked with customers of all sizes and markets, and is a frequent and highly sought-after conference speaker. A key contributor to the open- source high availability community, he maintains the Linux-HA User's Guide and other technical documentation.

Adolfo Brandes

Adolfo Brandes

Adolfo is a Senior Consultant an instructor specializing in OpenStack deployment, contribution, and community involvement. As an open-source veteran with a decade-long background in software development, Adolfo joined hastexo from Upstream University, a program where he showed the ropes to aspiring open-source and free software developers. He is passionate about open source and understands there's no better way to develop software.

Frequently Asked Questions

Do I need to download or install anything?

No, all course material will be delivered on demand to your device via a web browser or edX app. Labs will be conducted online as well.

What web browser should I use?

The Open edX platform works best with current versions of Chrome, Firefox or Safari, or with Internet Explorer version 9 and above.